Skip to main content

Get favourite beneficiaries

GET https://wallet.paysera.com/rest/v1/wallet/{walletId}/favourites

Retrieve users to whom the wallet owner makes most payments.

Example: GET /wallet/14471/favourites?limit=20

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier

Query Parameters​

NameTypeRequiredDescription
limitintegerMaximum number of results
offsetintegerNumber of results to skip

Example​

Request​

GET https://wallet.paysera.com/rest/v1/wallet/{walletId}/favourites?limit=value&offset=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Query Parameters
limit
Maximum number of results
offset
Number of results to skip

RESPONSE

Favourites retrieved successfully
{}